Liferea и индикатор апплета в Ubuntu

Я как-то писал, что мне понравился новый апплет уведомлений, который Canonical внедрила в Ubuntu, начиная с версии 10.04. Многие говорят, что это неудобно и пошло, но я, используя нетбук сталкивался с нехваткой места на панелях Gnome, а с выходом апплета уведомлений эта проблема решилась, так как в нем группируется часть приложений по назначению.

Для чтения новостей я использую Liferea, так как он один из немногих умеет транслировать новости из Google Reader. Версия Liferea 1.6.3 самостоятельно залазила в апплет, но с выходом Liferea 1.7.4 это почему-то куда-то делось.

Я практически понимаю почему это так происходит, но никак не могу с этим смириться.

На сайте разработчиков есть ссылка на репозиторий на lanchpad`е, которые устанавливаются так:

stable:
sudo add-apt-repository ppa:liferea/ppa
sudo apt-get update
sudo apt-get install liferea
experimental:
sudo add-apt-repository ppa:liferea/liferea-unstable
sudo apt-get update
sudo apt-get install liferea

На данный момент в первом случае устанавливается версия Liferea 1.6.5, а во-втором случае 1.7.4. Но ни один из них не будет интегрироваться в апплет уведомлений, так как законы и тенденции Canonical разработчикам этого замечательного аггрегатора новостей, просто неведомы и выпустить сторонний пакет, который интегрирует Liferea в апплет уведомлений должны именно специалисты из Canonical. Если такие есть конечно.

Версия Liferae 1.6.3 самостоятельно вписывается в апплет уведомлений Ubuntu только потому, что пакет этой версии содержится в официальном репозитории разработчиков дистрибутива Ubuntu.

Поэтому, чтобы пользоваться всеми благами, которые дарует нам Canonical, в виде апплета уведомлений, нам потребуется использовать версию Liferea только из официального репозитория Ubuntu.

Если Вы не подключали репозитории приведенные выше, то просто установите пакет командой:

sudo apt-get install liferea

Но если Вы уже установили последнюю версию этого пакета, то можно все легко исправить замечательным инструментом в Synaptic`а, позволяющий устанавливать пакеты выбранной версии:

  1. Для начала удаляем два пакета в Synaptic`е: liferea и liferea-data;
  2. Далее выделяем эти 2 пакета и переходим через верхнее меню (Пакет > Указать версию...) к сути всей затеи, где выделяем нужную версию. Для наглядности показано на скрине:
    Указываем версию пакета в ubuntu
  3. После чего устанавливаем эти 2 пакета.
  4. После чего необходимо заблокировать дальнейшее обновление инструментом Synsptic Пакет > Заблокировать пакет

Многие, наверное, подумают: зачем этот геморрой, если можно просто отключить ненужные сторонние репозитории и обновить Liferea с официального репозиторий, но любопытство перед изменением в новых версий Liferea берет вверх над простотой метода перехода на более старую версию.

Теги:

Комментарии






Интересное
Важное событие IT
Создание Cisco
Создание Cisco
Узнать подробнее
Оглавление